package order

import (
	"github.com/gin-gonic/gin"
	"live/app/lib"
	"live/app/lib/back"
	"live/app/lib/recook"
	"live/app/lib/tools"
)

type Goods struct {
}

func (g *Goods) Histroy(c *gin.Context) {
	page := lib.Page{}
	if err := tools.ParseParams(&page, c); err != nil {
		back.Fail(c, err.Error())
		return
	}
	list, err := recook.Order.GetHistoryGoods(c.Request.Header.Get("X-Recook-Id"), c.Request.Header.Get("X-Recook-Token"), page)
	if err != nil {
		back.Fail(c, err.Error())
		return
	}
	back.Suc(c, "操作成功", list)
	return
}
