package live

import (
	"github.com/golangkit/formatime"
	"live/app/lib/db"
)

type LiveReportType struct {
	db.BaseModel
	Id        uint             `gorm:"column:id" json:"id"`
	Name      string           `gorm:"column:name" json:"name"`
	CreatedAt formatime.Second `gorm:"column:created_at" json:"createdAt"`
	UpdatedAt formatime.Second `gorm:"column:updated_at" json:"updatedAt"`
}

// @Title 获取全部数据
func (l *LiveReportType) GetAll() (result []LiveReportType) {
	l.GetDb().Model(&LiveReportType{}).Find(&result)
	return
}

// @Title 获取全部数据
func (l *LiveReportType) GetById(id uint) (result LiveReportType) {
	l.GetDb().Model(&LiveReportType{}).First(&result, "id = ?", id)
	return
}
