package live

import (
	"errors"
	"gorm.io/gorm"
	live2 "live/app/model/live"
)

type dataLogic struct {
}

var DataLogic = &dataLogic{}

// @Title 观看直播
func (d *dataLogic) Look(userId, liveItemId uint) {
	liveLookModel := &live2.LiveLook{}
	liveLookModel.Transaction(func(tx *gorm.DB) error {
		liveLookModel.SetDb(tx)
		createId := liveLookModel.Create(&live2.LiveLook{
			UserId:     userId,
			LiveItemId: liveItemId,
		})
		if createId <= 0 {
			return errors.New("已观看")
		}
		(&live2.LiveData{}).AddLook(liveItemId)
		return nil
	})
}
