package live

import (
	"live/app/lib/db"
)

type LiveLook struct {
	db.BaseModel
	Id         uint `gorm:"column:id" json:"id"`
	UserId     uint `gorm:"column:user_id" json:"userId"`
	LiveItemId uint `gorm:"column:live_item_id" json:"liveItemId"`
}

// 插入
func (l *LiveLook) Create(liveLook *LiveLook) uint {
	l.GetDb().Create(liveLook)
	if liveLook.Id > 0 {
		return liveLook.Id
	}
	return 0
}
