package live

import (
	"github.com/golangkit/formatime"
	"live/app/lib/db"
)

type LiveReport struct {
	db.BaseModel
	Id        uint             `gorm:"column:id" json:"id"`
	Type      uint             `gorm:"column:type" json:"type"`
	Content   string           `gorm:"column:content" json:"content"`
	ImgUrl    string           `gorm:"column:img_url" json:"imgUrl"`
	CreatedAt formatime.Second `gorm:"column:created_at" json:"createdAt"`
	UpdatedAt formatime.Second `gorm:"column:updated_at" json:"updatedAt"`
}

func (l *LiveReport) Create(liveReport *LiveReport) {
	l.GetDb().Create(liveReport)
}
