package task

import "log"

// @Title 任务
func Run() {
	// 直播回调任务
	go runSync((&Live{}).Run)
}

// @Title 异步调用
func runSync(fun func()) {
	for {
		func() {
			defer func() {
				if r := recover(); r != nil {
					log.Println(r)
				}
			}()
			fun()
		}()
	}
}
